//********************************************************************
//  NonFiction.java       Author: J. Cross
//  Represents a work of nonfiction, which is a book.
//********************************************************************

    class NonFiction extends Book 
   {
      protected String topic = new String("TBD");
   //---------------------------------------------
       public NonFiction() 
      {
         super();
      }
   
       public NonFiction(String theAuthor, String theTitle, 
                        int thePages) 
      {
         super(theAuthor, theTitle, thePages);
      }
   
       public NonFiction(String theAuthor, String theTitle, 
                        int thePages, String theTopic) 
      {
         super(theAuthor, theTitle, thePages);   
         
         topic = theTopic;
      }
   
       public String getTopic() 
      {
         return topic;
      }
   
       public String toString()
      {
         return super.toString() + 
            "\nTopic: " + topic;
      }
   }
