
   import external.viewer.*;


    public class java__lang__Float_FloatView extends FloatView {
    
       public java__lang__Float_FloatView() {
         super(31, 30, 23, 22, 0, 127);
      }
   
       public int getPriority() {
         return 10; }
   
       public String getValueText(Value value, DebugContext context)
            throws ViewerException {
         return Float.toString(getValue_(value, context));
      }
      
       public long getBits(Value value, DebugContext context)
            throws ViewerException {
         return Float.floatToRawIntBits(getValue_(value, context));
      }
   
       public String getMantissaText(double mantissa) {
         return Float.toString((float)mantissa); }
   
       private float getValue_(Value value, DebugContext context)
            throws ViewerException {
         Method get_value_method = value.getMethod(context, "floatValue", "float", null);
         return value.invokeMethod(context, get_value_method, null).toFloat(context);
      }
   }